from abc import ABC, abstractmethod
from pathlib import Path


class BuildCacheManagerInterface(ABC):

    @abstractmethod
    def upload(self, out_dir: Path):
        pass

    @abstractmethod
    def download(self, in_dir: Path):
        pass

    @abstractmethod
    def delete(self):
        pass
