# Minimal prerequisites for installing the esd_library
# pip must be installed on the OS
echo "Bootstrapping..."
set -euo pipefail
shopt -s inherit_errexit 2>/dev/null
export DEBIAN_FRONTEND=noninteractive
apt update
apt install -o DPkg::Options::=--force-confold -y -q --reinstall \
                  bzip2 ca-certificates g++ gcc make gfortran git gzip lsb-release \
                  patch python3 python3-pip tar unzip xz-utils zstd gnupg2 vim curl rsync file
python3 -m pip install --upgrade pip setuptools wheel
