import os
from pathlib import Path


class SpackDescriptor:
    """"
    Provides details about the spack environment
    """

    def __init__(self, name: str, path: Path = Path(os.getcwd()).resolve(), git_path: str = None):
        self.name = name
        self.path = path.resolve() if isinstance(path, Path) else Path(path).resolve()
        self.git_path = git_path
