from dedal.configuration.SpackConfig import SpackConfig
from dedal.spack_factory.SpackOperation import SpackOperation
from dedal.tests.testing_variables import SPACK_VERSION


def test_spack_install_scratch(tmp_path):
    install_dir = tmp_path
    spack_config = SpackConfig(install_dir=install_dir)
    spack_operation = SpackOperation(spack_config)
    spack_operation.install_spack(spack_version=f'{SPACK_VERSION}')
    installed_spack_version = spack_operation.get_spack_installed_version()
    assert SPACK_VERSION == installed_spack_version

