from pathlib import Path

from dedal.utils.spack_utils import extract_spack_packages


def test_extract_spack_packages():
    test_file_path = Path(__file__).parent
    assert sorted(extract_spack_packages(test_file_path.parent / 'spack_files' / 'spack1.yaml')) == sorted(
        ['python', 'numpy',
         'py-scipy', 'cmake'])
